function stimuli()
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                   Function to generate piano chords
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function soundfile
fs=16000;
length=0.1;
% notes1 = [261.626 293.665 329.628 349.228 391.995 440.000 493.883 523.251];
% With frequency of 15 Hz and 20 Hz, tones cannot be heard, but can be 
% observed from NIC software
notes1 = [15 20 15 20]; 
% loudness multipliers for IA = 0.07, IB = 0.049, A = 0.013, B = 0.009
% in this case, IA and IB = 90 dB, A and B = 74.9 dB
multipliers = [0.07 0.049 0.013 0.009];

% increasing the loudness of intensity deviants by 10 dB, so IA and IB =
% 100 dB (matches loudest tones used in Cote sleep P300 study)

multipliers(1:2) = multipliers(1:2) .* 10^0.5;

yfinal=[];

tone = []; %tone # as reference index
y=[]; %signal for each tone, 4 difference types (IA IB A B)
stim = []; %characteristic matrix of tones, 4x721 indicating tone, color, case

pause on;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%             Set up TCPIP communication with Enobio System
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

import java.net.Socket
import java.io.*
sock=Socket('localhost',1234); 
%sock=Socket('192.168.11.103',1234); 
output_stream=sock.getOutputStream;

d_output_stream=DataOutputStream(output_stream);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%             Play tones and send corresponding trigger
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

for i=1:4
    f0=notes1(i);
    x= LStones(f0,length,fs)';
    yfinal(:,i)=x*multipliers(i);    
end


%Read in stimulus file--tone sequence
stim = csvread('triggers.csv'); 
tic
h=msgbox('Testing in Progress','Status','none');
for i=1:size(stim,1) 
    sendTrigger(d_output_stream, stim(i));
    pause(0.005);
    playSound(yfinal(:,3),fs); %play low tone F5#  
    pause(0.5);  % pause inserted as sound intervals
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%             Close TCPIP Connection with Enobio
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
sock.close;
close(h);
msgbox('Tonal Stimulus Done','Status','warn');

    
    